Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.security.management
Class OperationNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.p13n.exceptions.ApplicationException
                  com.bea.p13n.security.management.OperationNotSupportedException

All Implemented Interfaces
  Serializable

    public class OperationNotSupportedException

extends ApplicationException

Application exception class that will be thrown when an attempt is made to call a method not supported/implemented by a provider.

See Also
  Serialized Form

Constructor Summary
`OperationNotSupportedException()`
`OperationNotSupportedException(String message)` Constructor
`OperationNotSupportedException(String message, Throwable t)` Constructor
`OperationNotSupportedException(Throwable t)` Constructor

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationNotSupportedException

    public OperationNotSupportedException()

### OperationNotSupportedException

    public OperationNotSupportedException(String message)

  Constructor

  Parameters
    `message` - String representing the Exception message

### OperationNotSupportedException

    public OperationNotSupportedException(String message,
                                          Throwable t)

  Constructor

  Parameters
    `message` - String representing the Exception message
    `t` - Throwable object representing the wrapped or chained exception

### OperationNotSupportedException

    public OperationNotSupportedException(Throwable t)

  Constructor

  Parameters
    `t` - Throwable object representing the wrapped or chained exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.